## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogIndex

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl
                                      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEIndexImpl
                                          org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogIndex

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASEIndex, Index, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASECatalogIndex

extends SybaseASEIndexImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`static int` `COL_STATUS3_FUNC_EXPRESSION`
`static int` `IDX_STATUS_ABORT_DUPROWS`
`static int` `IDX_STATUS_ALLOW_DUPROWS`
`static int` `IDX_STATUS_CLUSTERED`
`static int` `IDX_STATUS_IGNORE_DUPKEYS`
`static int` `IDX_STATUS_SORTED`
`static int` `IDX_STATUS_SORTEDCLUSTERED`
`static int` `IDX_STATUS_SUSPECT`
`static int` `IDX_STATUS_UNIQUE`
`static int` `IDX_STATUS2_DATA_CLUSTERED`
`static int` `IDX_STATUS2_MRU_UNABLE`
`static int` `IDX_STATUS2_PREFETCH_UNABLE`
`static int` `IDX_STATUS2_SUSPECT`
`static int` `PT_LOCAL_STATUS`
`static int` `PT_NAME_DEFINED`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASECatalogIndex()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`CacheInfo` `getCacheInfo()`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`int` `getFillFactor()` Returns the value of the 'Fill Factor' attribute.
`int` `getMaxRowPerPage()`
`org.eclipse.emf.common.util.EList` `getMembers()` Returns the value of the 'Members' containment reference list.
`org.eclipse.emf.common.util.EList` `getPartitions()`
`SybaseASESegment` `getSegment()`
`boolean` `isAllowDuplicateRow()`
`boolean` `isClustered()` Returns the value of the 'Clustered' attribute.
`boolean` `isIgnoreDuplicateKey()`
`boolean` `isIgnoreDuplicateRow()`
`boolean` `isLocalIndex()`
`boolean` `isSortedData()`
`boolean` `isSuspect()`
`boolean` `isSystemObject()`
`boolean` `isUnique()` Returns the value of the 'Unique' attribute.
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEIndexImpl
`basicGetSegment, basicSetCacheInfo, eGet, eInverseRemove, eIsSet, eSet, eUnset, getConsumerNum, getReversePageGap, getStatisticsStep, setAllowDuplicateRow, setCacheInfo, setConsumerNum, setIgnoreDuplicateKey, setIgnoreDuplicateRow, setLocalIndex, setMaxRowPerPage, setReversePageGap, setSegment, setSortedData, setStatisticsStep, setSuspect, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl
`basicGetSchema, basicGetTable, basicSetSchema, basicSetTable, eInverseAdd, getForeignKey, getIncludedMembers, getSchema, getTable, isSystemGenerated, setClustered, setFillFactor, setSchema, setSystemGenerated, setTable, setUnique`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Index
`getForeignKey, getIncludedMembers, getSchema, getTable, isSystemGenerated, setClustered, setFillFactor, setSchema, setSystemGenerated, setTable, setUnique`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### IDX_STATUS_IGNORE_DUPKEYS

    public static final int IDX_STATUS_IGNORE_DUPKEYS

See Also:
  Constant Field Values

### IDX_STATUS_ABORT_DUPROWS

    public static final int IDX_STATUS_ABORT_DUPROWS

See Also:
  Constant Field Values

### IDX_STATUS_CLUSTERED

    public static final int IDX_STATUS_CLUSTERED

See Also:
  Constant Field Values

### IDX_STATUS_UNIQUE

    public static final int IDX_STATUS_UNIQUE

See Also:
  Constant Field Values

### IDX_STATUS_ALLOW_DUPROWS

    public static final int IDX_STATUS_ALLOW_DUPROWS

See Also:
  Constant Field Values

### IDX_STATUS_SORTED

    public static final int IDX_STATUS_SORTED

See Also:
  Constant Field Values

### IDX_STATUS_SORTEDCLUSTERED

    public static final int IDX_STATUS_SORTEDCLUSTERED

See Also:
  Constant Field Values

### IDX_STATUS_SUSPECT

    public static final int IDX_STATUS_SUSPECT

See Also:
  Constant Field Values

### IDX_STATUS2_SUSPECT

    public static final int IDX_STATUS2_SUSPECT

See Also:
  Constant Field Values

### IDX_STATUS2_DATA_CLUSTERED

    public static final int IDX_STATUS2_DATA_CLUSTERED

See Also:
  Constant Field Values

### IDX_STATUS2_PREFETCH_UNABLE

    public static final int IDX_STATUS2_PREFETCH_UNABLE

See Also:
  Constant Field Values

### IDX_STATUS2_MRU_UNABLE

    public static final int IDX_STATUS2_MRU_UNABLE

See Also:
  Constant Field Values

### COL_STATUS3_FUNC_EXPRESSION

    public static final int COL_STATUS3_FUNC_EXPRESSION

See Also:
  Constant Field Values

### PT_LOCAL_STATUS

    public static final int PT_LOCAL_STATUS

See Also:
  Constant Field Values

### PT_NAME_DEFINED

    public static final int PT_NAME_DEFINED

See Also:
  Constant Field Values

Constructor Detail

### SybaseASECatalogIndex

    public SybaseASECatalogIndex()

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### isSystemObject

    public boolean isSystemObject()

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getMembers

    public org.eclipse.emf.common.util.EList getMembers()

  Description copied from interface: `Index`
  Returns the value of the 'Members' containment reference list. The list contents are of type `IndexMember`.

  If the meaning of the 'Members' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getMembers` in interface `Index`
  Overrides:
    `getMembers` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`
  Returns:
    the value of the 'Members' containment reference list.
  See Also:
    `SQLConstraintsPackage.getIndex_Members()`

### isLocalIndex

    public boolean isLocalIndex()

  Description copied from class: `SybaseASEIndexImpl`

  Specified by:
    `isLocalIndex` in interface `SybaseASEIndex`
  Overrides:
    `isLocalIndex` in class `SybaseASEIndexImpl`
  Returns:
    the value of the 'Local Index' attribute.
  See Also:
    `SybaseASEIndex.setLocalIndex(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_LocalIndex()`

### getCacheInfo

    public CacheInfo getCacheInfo()

  Description copied from class: `SybaseASEIndexImpl`

  Specified by:
    `getCacheInfo` in interface `SybaseASEIndex`
  Overrides:
    `getCacheInfo` in class `SybaseASEIndexImpl`
  Returns:
    the value of the 'Cache Info' containment reference.
  See Also:
    `SybaseASEIndex.setCacheInfo(CacheInfo)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_CacheInfo()`

### getPartitions

    public org.eclipse.emf.common.util.EList getPartitions()

  Description copied from class: `SybaseASEIndexImpl`

  Specified by:
    `getPartitions` in interface `SybaseASEIndex`
  Overrides:
    `getPartitions` in class `SybaseASEIndexImpl`
  Returns:
    the value of the 'Partitions' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEIndex_Partitions()`

### isAllowDuplicateRow

    public boolean isAllowDuplicateRow()

  Description copied from class: `SybaseASEIndexImpl`

  Specified by:
    `isAllowDuplicateRow` in interface `SybaseASEIndex`
  Overrides:
    `isAllowDuplicateRow` in class `SybaseASEIndexImpl`
  Returns:
    the value of the 'Allow Duplicate Row' attribute.
  See Also:
    `SybaseASEIndex.setAllowDuplicateRow(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_AllowDuplicateRow()`

### isClustered

    public boolean isClustered()

  Description copied from interface: `Index`
  Returns the value of the 'Clustered' attribute. The default value is `"false"`.

  If the meaning of the 'Clustered' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isClustered` in interface `Index`
  Overrides:
    `isClustered` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`
  Returns:
    the value of the 'Clustered' attribute.
  See Also:
    `Index.setClustered(boolean)`, `SQLConstraintsPackage.getIndex_Clustered()`

### getFillFactor

    public int getFillFactor()

  Description copied from interface: `Index`
  Returns the value of the 'Fill Factor' attribute. The default value is `"0"`.

  If the meaning of the 'Fill Factor' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getFillFactor` in interface `Index`
  Overrides:
    `getFillFactor` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`
  Returns:
    the value of the 'Fill Factor' attribute.
  See Also:
    `Index.setFillFactor(int)`, `SQLConstraintsPackage.getIndex_FillFactor()`

### isIgnoreDuplicateKey

    public boolean isIgnoreDuplicateKey()

  Description copied from class: `SybaseASEIndexImpl`

  Specified by:
    `isIgnoreDuplicateKey` in interface `SybaseASEIndex`
  Overrides:
    `isIgnoreDuplicateKey` in class `SybaseASEIndexImpl`
  Returns:
    the value of the 'Ignore Duplicate Key' attribute.
  See Also:
    `SybaseASEIndex.setIgnoreDuplicateKey(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_IgnoreDuplicateKey()`

### isIgnoreDuplicateRow

    public boolean isIgnoreDuplicateRow()

  Description copied from class: `SybaseASEIndexImpl`

  Specified by:
    `isIgnoreDuplicateRow` in interface `SybaseASEIndex`
  Overrides:
    `isIgnoreDuplicateRow` in class `SybaseASEIndexImpl`
  Returns:
    the value of the 'Ignore Duplicate Row' attribute.
  See Also:
    `SybaseASEIndex.setIgnoreDuplicateRow(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_IgnoreDuplicateRow()`

### getMaxRowPerPage

    public int getMaxRowPerPage()

  Description copied from class: `SybaseASEIndexImpl`

  Specified by:
    `getMaxRowPerPage` in interface `SybaseASEIndex`
  Overrides:
    `getMaxRowPerPage` in class `SybaseASEIndexImpl`
  Returns:
    the value of the 'Max Row Per Page' attribute.
  See Also:
    `SybaseASEIndex.setMaxRowPerPage(int)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_MaxRowPerPage()`

### getSegment

    public SybaseASESegment getSegment()

  Description copied from class: `SybaseASEIndexImpl`

  Specified by:
    `getSegment` in interface `SybaseASEIndex`
  Overrides:
    `getSegment` in class `SybaseASEIndexImpl`
  Returns:
    the value of the 'Segment' reference.
  See Also:
    `SybaseASEIndex.setSegment(SybaseASESegment)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_Segment()`

### isSortedData

    public boolean isSortedData()

  Description copied from class: `SybaseASEIndexImpl`

  Specified by:
    `isSortedData` in interface `SybaseASEIndex`
  Overrides:
    `isSortedData` in class `SybaseASEIndexImpl`
  Returns:
    the value of the 'Sorted Data' attribute.
  See Also:
    `SybaseASEIndex.setSortedData(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_SortedData()`

### isSuspect

    public boolean isSuspect()

  Description copied from class: `SybaseASEIndexImpl`

  Specified by:
    `isSuspect` in interface `SybaseASEIndex`
  Overrides:
    `isSuspect` in class `SybaseASEIndexImpl`
  Returns:
    the value of the 'Suspect' attribute.
  See Also:
    `SybaseASEIndex.setSuspect(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_Suspect()`

### isUnique

    public boolean isUnique()

  Description copied from interface: `Index`
  Returns the value of the 'Unique' attribute. The default value is `"false"`.

  If the meaning of the 'Unique' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isUnique` in interface `Index`
  Overrides:
    `isUnique` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`
  Returns:
    the value of the 'Unique' attribute.
  See Also:
    `Index.setUnique(boolean)`, `SQLConstraintsPackage.getIndex_Unique()`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`